Package it.ernytech.tdlib

## Class TdApi.InputFile

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputFile

Direct Known Subclasses:
  `TdApi.InputFileGenerated`, `TdApi.InputFileId`, `TdApi.InputFileLocal`, `TdApi.InputFileRemote`

Enclosing class:
  TdApi

    public abstract static class TdApi.InputFile
    extends TdApi.Object

This class is an abstract base class. Points to a file.

### Constructor Summary

Constructors
`InputFile()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### InputFile

    public InputFile()